import { Module } from "@nestjs/common";
import { CredentialsModule } from "src/credentials/credentials.module";
import { DrizzleModule } from "src/drizzle/drizzle.module";
import { AuthController } from "./auth.controller";
import { AuthService } from "./auth.service";
import { AdminGuard } from "src/auth/auth.guard";

@Module({
	imports: [DrizzleModule, CredentialsModule],
	providers: [AuthService, AdminGuard],
	controllers: [AuthController],
})
export class AuthModule {}
